<?PHP
/**
 * Constains lists for categorizing misspelled weight units.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Provides lists for categorizing misspelled sizes.
 */
final class MDConcWeights implements MDImporterConcordanceListInterface {
    /**
     * Require a function for getting the concordance target.
     *
     * @param string $input Input string.
     *
     * @return MDWeightUnit|false
     */
    public static function getConcordanceTarget(string $input):MDWeightUnit|false {

        return match($input) {

            "cm"        => false,

            "Gramm",
            "g",
            "G",
            "г"         => MDWeightUnit::g,

            default => throw new MDInvalidWeightUnit("Invalid weight unit " . $input),

        };

    }
}
